Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.model.framestore
Class ModificationFrameStore

    java.lang.Object
      edu.stanford.smi.protege.model.framestore.AbstractFrameStore
          edu.stanford.smi.protege.model.framestore.ModificationFrameStore

All Implemented Interfaces:
  FrameStore

Direct Known Subclasses:
  ChangeMonitorFrameStore, EventDispatchFrameStore, EventGeneratorFrameStore, ModificationRecordFrameStore, TransactionFrameStore, UndoFrameStore

    public abstract class ModificationFrameStore

extends AbstractFrameStore

Field Summary

Fields inherited from interface edu.stanford.smi.protege.model.framestore.FrameStore
`UNLIMITED_MATCHES`

Constructor Summary
`ModificationFrameStore()`

Method Summary
`void` | `executeQuery(Query query, QueryCallback callback)` The executeQuery method allows for complex queries.
`int` | `getClsCount()`
`Set<Cls>` | `getClses()`
`Set<Cls>` | `getClsesWithAnyDirectTemplateSlotValue(Slot slot)`
`Set` | `getClsesWithDirectTemplateFacetValue(Slot slot, Facet facet, Object value)`
`Set` | `getClsesWithDirectTemplateSlotValue(Slot slot, Object value)`
`Set<Cls>` | `getClsesWithMatchingBrowserText(String value, Collection superclasses, int maxMatches)`
`Set` | `getClsesWithMatchingDirectTemplateFacetValue(Slot slot, Facet facet, String value, int maxMatches)`
`Set` | `getClsesWithMatchingDirectTemplateSlotValue(Slot slot, String value, int maxMatches)`
`List` | `getDirectDomain(Slot slot)`
`List<Instance>` | `getDirectInstances(Cls cls)`
`Set` | `getDirectlyOverriddenTemplateFacets(Cls cls, Slot slot)`
`Set` | `getDirectlyOverriddenTemplateSlots(Cls cls)`
`List` | `getDirectOwnSlotValues(Frame frame, Slot slot)`
`Set` | `getDirectOwnSlotValuesClosure(Frame frame, Slot slot)`
`int` | `getDirectOwnSlotValuesCount(Frame frame, Slot slot)`
`List<Cls>` | `getDirectSubclasses(Cls cls)`
`List` | `getDirectSubslots(Slot slot)`
`List<Cls>` | `getDirectSuperclasses(Cls cls)`
`List` | `getDirectSuperslots(Slot slot)`
`List` | `getDirectTemplateFacetValues(Cls cls, Slot slot, Facet facet)`
`List` | `getDirectTemplateSlots(Cls cls)`
`List` | `getDirectTemplateSlotValues(Cls cls, Slot slot)`
`List` | `getDirectTypes(Instance instance)`
`Set` | `getDomain(Slot slot)`
`List<AbstractEvent>` | `getEvents()`
`int` | `getFacetCount()`
`Set<Facet>` | `getFacets()`
`Frame` | `getFrame(FrameID id)`
`Frame` | `getFrame(String name)`
`int` | `getFrameCount()`
`String` | `getFrameName(Frame frame)`
`Set<Frame>` | `getFrames()`
`Set<Frame>` | `getFramesWithAnyDirectOwnSlotValue(Slot slot)`
`Set<Frame>` | `getFramesWithDirectOwnSlotValue(Slot slot, Object value)`
`Set<Frame>` | `getFramesWithMatchingDirectOwnSlotValue(Slot slot, String value, int maxMatches)`
`Set<Instance>` | `getInstances(Cls cls)`
`Set<Reference>` | `getMatchingReferences(String value, int maxMatches)`
`Set` | `getOverriddenTemplateFacets(Cls cls, Slot slot)`
`Set` | `getOverriddenTemplateSlots(Cls cls)`
`Set` | `getOwnFacets(Frame frame, Slot slot)`
`Collection` | `getOwnFacetValues(Frame frame, Slot slot, Facet facet)`
`Set<Slot>` | `getOwnSlots(Frame frame)`
`Collection` | `getOwnSlotValues(Frame frame, Slot slot)`
`Set<Reference>` | `getReferences(Object value)`
`int` | `getSimpleInstanceCount()`
`int` | `getSlotCount()`
`Set<Slot>` | `getSlots()`
`Set<Cls>` | `getSubclasses(Cls cls)`
`Set` | `getSubslots(Slot slot)`
`Set` | `getSuperclasses(Cls cls)`
`Set` | `getSuperslots(Slot slot)`
`Set<Facet>` | `getTemplateFacets(Cls cls, Slot slot)`
`Collection` | `getTemplateFacetValues(Cls cls, Slot slot, Facet facet)`
`Set` | `getTemplateSlots(Cls cls)`
`Collection` | `getTemplateSlotValues(Cls cls, Slot slot)`
`TransactionMonitor` | `getTransactionStatusMonitor()` Retrieves a transaction status monitor for transactions.
`Set` | `getTypes(Instance instance)`

Methods inherited from class edu.stanford.smi.protege.model.framestore.AbstractFrameStore
`close, getDelegate, getName, onSetDelegate, setDelegate, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protege.model.framestore.FrameStore
`addDirectSuperclass, addDirectSuperslot, addDirectTemplateSlot, addDirectType, beginTransaction, commitTransaction, createCls, createFacet, createSimpleInstance, createSlot, deleteCls, deleteFacet, deleteSimpleInstance, deleteSlot, moveDirectOwnSlotValue, moveDirectSubclass, moveDirectSubslot, moveDirectTemplateSlot, moveDirectType, reinitialize, removeDirectSuperclass, removeDirectSuperslot, removeDirectTemplateFacetOverrides, removeDirectTemplateSlot, removeDirectType, replaceFrame, rollbackTransaction, setDirectOwnSlotValues, setDirectTemplateFacetValues, setDirectTemplateSlotValues`

Constructor Detail

### ModificationFrameStore

    public ModificationFrameStore()

Method Detail

### getFrame

    public Frame getFrame(FrameID id)

### getFrame

    public Frame getFrame(String name)

### getFrameName

    public String getFrameName(Frame frame)

### getFrameCount

    public int getFrameCount()

### getClsCount

    public int getClsCount()

### getSlotCount

    public int getSlotCount()

### getFacetCount

    public int getFacetCount()

### getSimpleInstanceCount

    public int getSimpleInstanceCount()

### getFrames

    public Set<Frame> getFrames()

### getClses

    public Set<Cls> getClses()

### getSlots

    public Set<Slot> getSlots()

### getFacets

    public Set<Facet> getFacets()

### getDirectSuperclasses

    public List<Cls> getDirectSuperclasses(Cls cls)

### getSuperclasses

    public Set getSuperclasses(Cls cls)

### getDirectSubclasses

    public List<Cls> getDirectSubclasses(Cls cls)

### getSubclasses

    public Set<Cls> getSubclasses(Cls cls)

### getDirectSuperslots

    public List getDirectSuperslots(Slot slot)

### getSuperslots

    public Set getSuperslots(Slot slot)

### getDirectSubslots

    public List getDirectSubslots(Slot slot)

### getSubslots

    public Set getSubslots(Slot slot)

### getDirectTypes

    public List getDirectTypes(Instance instance)

### getDirectInstances

    public List<Instance> getDirectInstances(Cls cls)

### getDirectTemplateSlots

    public List getDirectTemplateSlots(Cls cls)

### getDirectDomain

    public List getDirectDomain(Slot slot)

### getDomain

    public Set getDomain(Slot slot)

### getInstances

    public Set<Instance> getInstances(Cls cls)

### getTypes

    public Set getTypes(Instance instance)

### getOwnSlotValues

    public Collection getOwnSlotValues(Frame frame,
                                       Slot slot)

### getDirectOwnSlotValuesCount

    public int getDirectOwnSlotValuesCount(Frame frame,
                                           Slot slot)

### getDirectOwnSlotValues

    public List getDirectOwnSlotValues(Frame frame,
                                       Slot slot)

### getOwnSlots

    public Set<Slot> getOwnSlots(Frame frame)

### getTemplateSlotValues

    public Collection getTemplateSlotValues(Cls cls,
                                            Slot slot)

### getDirectTemplateSlotValues

    public List getDirectTemplateSlotValues(Cls cls,
                                            Slot slot)

### getTemplateSlots

    public Set getTemplateSlots(Cls cls)

### getTemplateFacets

    public Set<Facet> getTemplateFacets(Cls cls,
                                        Slot slot)

### getTemplateFacetValues

    public Collection getTemplateFacetValues(Cls cls,
                                             Slot slot,
                                             Facet facet)

### getDirectTemplateFacetValues

    public List getDirectTemplateFacetValues(Cls cls,
                                             Slot slot,
                                             Facet facet)

### getReferences

    public Set<Reference> getReferences(Object value)

### getClsesWithMatchingBrowserText

    public Set<Cls> getClsesWithMatchingBrowserText(String value,
                                                    Collection superclasses,
                                                    int maxMatches)

### getMatchingReferences

    public Set<Reference> getMatchingReferences(String value,
                                                int maxMatches)

### getEvents

    public List<AbstractEvent> getEvents()

### executeQuery

    public void executeQuery(Query query,
                             QueryCallback callback)

  Description copied from interface: `FrameStore`
  The executeQuery method allows for complex queries. It is asynchronous so that in server-client mode the server knowledge base lock will not be held for an excessive amount of time. The contract specifies that the implementor must call one of the QueryCallback methods in a separate thread. This makes it possible for the caller to know how to retrieve the results in a synchronous way without worrying about deadlock.

### getFramesWithDirectOwnSlotValue

    public Set<Frame> getFramesWithDirectOwnSlotValue(Slot slot,
                                                      Object value)

### getFramesWithAnyDirectOwnSlotValue

    public Set<Frame> getFramesWithAnyDirectOwnSlotValue(Slot slot)

### getFramesWithMatchingDirectOwnSlotValue

    public Set<Frame> getFramesWithMatchingDirectOwnSlotValue(Slot slot,
                                                              String value,
                                                              int maxMatches)

### getClsesWithDirectTemplateSlotValue

    public Set getClsesWithDirectTemplateSlotValue(Slot slot,
                                                   Object value)

### getClsesWithAnyDirectTemplateSlotValue

    public Set<Cls> getClsesWithAnyDirectTemplateSlotValue(Slot slot)

### getClsesWithMatchingDirectTemplateSlotValue

    public Set getClsesWithMatchingDirectTemplateSlotValue(Slot slot,
                                                           String value,
                                                           int maxMatches)

### getClsesWithDirectTemplateFacetValue

    public Set getClsesWithDirectTemplateFacetValue(Slot slot,
                                                    Facet facet,
                                                    Object value)

### getClsesWithMatchingDirectTemplateFacetValue

    public Set getClsesWithMatchingDirectTemplateFacetValue(Slot slot,
                                                            Facet facet,
                                                            String value,
                                                            int maxMatches)

### getOwnFacets

    public Set getOwnFacets(Frame frame,
                            Slot slot)

### getOwnFacetValues

    public Collection getOwnFacetValues(Frame frame,
                                        Slot slot,
                                        Facet facet)

### getOverriddenTemplateSlots

    public Set getOverriddenTemplateSlots(Cls cls)

### getDirectlyOverriddenTemplateSlots

    public Set getDirectlyOverriddenTemplateSlots(Cls cls)

### getOverriddenTemplateFacets

    public Set getOverriddenTemplateFacets(Cls cls,
                                           Slot slot)

### getDirectlyOverriddenTemplateFacets

    public Set getDirectlyOverriddenTemplateFacets(Cls cls,
                                                   Slot slot)

### getDirectOwnSlotValuesClosure

    public Set getDirectOwnSlotValuesClosure(Frame frame,
                                             Slot slot)

### getTransactionStatusMonitor

    public TransactionMonitor getTransactionStatusMonitor()

  Description copied from interface: `FrameStore`
  Retrieves a transaction status monitor for transactions. If this call returns null then it means that transactions are not supported.

  Returns:
    A TransactionMonitor object that tracks the status of transactions.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.